Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.pdf.emitter
Class InlineContainerLayout

    java.lang.Object
      ContainerLayout
          org.eclipse.birt.report.engine.layout.pdf.emitter.InlineStackingLayout
              org.eclipse.birt.report.engine.layout.pdf.emitter.InlineContainerLayout

All Implemented Interfaces:
  IInlineStackingLayout

    public class InlineContainerLayout

extends InlineStackingLayout
implements IInlineStackingLayout

Constructor Summary
`InlineContainerLayout(LayoutEngineContext context, ContainerLayout parent, IContent content)`

Method Summary
`void` | `addToRoot(AbstractArea area)`
`protected void` | `closeLayout(ContainerContext currentContext, int index, boolean finished)`
`protected void` | `createRoot()`
`boolean` | `endLine()`
`int` | `getMaxLineWidth()`
`protected void` | `initialize()`
`boolean` | `isEmptyLine()`
`void` | `setTextIndent(ITextContent content)`

Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.InlineStackingLayout
`verticalAlign`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineContainerLayout

    public InlineContainerLayout(LayoutEngineContext context,
                                 ContainerLayout parent,
                                 IContent content)

Method Detail

### setTextIndent

    public void setTextIndent(ITextContent content)

  Specified by:
    `setTextIndent` in interface `IInlineStackingLayout`
  Overrides:
    `setTextIndent` in class `InlineStackingLayout`

### closeLayout

    protected void closeLayout(ContainerContext currentContext,
                               int index,
                               boolean finished)

  Overrides:
    `closeLayout` in class `InlineStackingLayout`

### addToRoot

    public void addToRoot(AbstractArea area)

  Overrides:
    `addToRoot` in class `InlineStackingLayout`

### createRoot

    protected void createRoot()

  Overrides:
    `createRoot` in class `InlineStackingLayout`

### initialize

    protected void initialize()

  Overrides:
    `initialize` in class `InlineStackingLayout`

### endLine

    public boolean endLine()

  Specified by:
    `endLine` in interface `IInlineStackingLayout`
  Overrides:
    `endLine` in class `InlineStackingLayout`

### getMaxLineWidth

    public int getMaxLineWidth()

  Specified by:
    `getMaxLineWidth` in interface `IInlineStackingLayout`
  Overrides:
    `getMaxLineWidth` in class `InlineStackingLayout`

### isEmptyLine

    public boolean isEmptyLine()

  Specified by:
    `isEmptyLine` in interface `IInlineStackingLayout`
  Overrides:
    `isEmptyLine` in class `InlineStackingLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.